Jobs

Create job

POST
/v3/aftermarket/customers/{customerId}/jobs

Creates a placeholder job that can then be used for asynchronous processing of data. The placeholder job can then be used to perform asynchronous process by uploading a file to /v3/aftermarket/customers/{customerId}/jobs/{jobId}/upload endpoint. You can create a maximum of 3 jobs that are in CREATED state at a time. If you try to create more than 3 jobs in CREATED state, you will get a 400 Bad Request error.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Query Parameters

type?string

Type of job to perform

Default"BULK_JOB"
Value in"BULK_JOB""RECONCILE_JOB"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

Job create request body

application/json
  1. body
description?string

Description of the job

Lengthlength <= 255

Response Body

Created placeholder job which can be used to perform bulk operations on domains.

application/json
  1. response
jobId*string

The unique identifier of the job.

Formatuuid
Example Request
curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/jobs' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39"}